Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindprod.common11
Class Build

    java.lang.Object
      com.mindprod.common11.Build

    public class Build

extends java.lang.Object

Track the build number used for all applications.

Since:
  2007-09-19
Version:
  1.0 2007-09-19 - added comment created with IntelliJ IDEA.
Author:
  Roedy Green, Canadian Mind Products

Field Summary
`static java.awt.Color` | `BLEND_BACKGROUND` colour to let app blend with CMP background
`static int` | `BUILD_NUMBER` incremented for each microrelease even when version numbers are not changed.
`static java.lang.String` | `MINDPRODCERT` name of the code signing cert without .cer
`static int` | `THIS_COPYRIGHT_YEAR` current year, used for copyright, might differ from Misc.thisYear() if flip copyright a few days early or late

Constructor Summary
`Build()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUILD_NUMBER

    public static final int BUILD_NUMBER

  incremented for each microrelease even when version numbers are not changed. Global to all apps.

  See Also:
    Constant Field Values

### THIS_COPYRIGHT_YEAR

    public static final int THIS_COPYRIGHT_YEAR

  current year, used for copyright, might differ from Misc.thisYear() if flip copyright a few days early or late

  See Also:
    Constant Field Values

### MINDPRODCERT

    public static final java.lang.String MINDPRODCERT

  name of the code signing cert without .cer

  See Also:
    Constant Field Values

### BLEND_BACKGROUND

    public static final java.awt.Color BLEND_BACKGROUND

  colour to let app blend with CMP background

Constructor Detail

### Build

    public Build()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD